Bug 242696 - Add Filesystem Label to GFS2
Summary: Add Filesystem Label to GFS2
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Steve Whitehouse
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 242701
TreeView+ depends on / blocked
 
Reported: 2007-06-05 14:17 UTC by Scott Crenshaw
Modified: 2009-09-02 09:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 09:02:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 08:53:34 UTC

Description Rob Kenna 2007-06-05 14:17:16 UTC
ext2/3 support file system labels and uuid's (different bz) which are useful for
specifying in fstab for mount.

Comment 1 Rob Kenna 2007-06-05 14:20:28 UTC
Expected to fit in current on disk format in compatible fashion.

Comment 2 Kiersten (Kerri) Anderson 2007-11-02 20:53:09 UTC
Defering to 5.3.

Comment 6 Steve Whitehouse 2008-10-15 09:18:04 UTC
Now in upstream, changes required are trivial.

Comment 7 Steve Whitehouse 2008-12-15 17:35:33 UTC
Can I have PM & devel ACKs please?

Comment 8 RHEL Product and Program Management 2009-02-16 15:44:51 UTC
Updating PM score.

Comment 9 Don Zickus 2009-03-09 18:54:05 UTC
in kernel-2.6.18-134.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 15 Steve Whitehouse 2009-07-14 12:32:47 UTC
We already has something similar to a label (the lock table) so we didn't add anything extra for that. We did add the UUID though since that was a new field in the super block.

This bug was for the kernel side of things, and the only change required was to add a field in the super block for the UUID. At a later date, the UUID was exported via sysfs and added to all uevent messages generated by the fs, but otherwise it is unused in the kernel as its mostly a userspace issue.

Comment 16 Han Pingtian 2009-07-15 02:00:48 UTC
verified with -157.

Comment 18 errata-xmlrpc 2009-09-02 09:02:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html


Note You need to log in before you can comment on or make changes to this bug.